> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Supprimer l’objet



## OpenAPI

````yaml /fr/weave/reference/service-api/openapi.json post /obj/delete
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /obj/delete:
    post:
      tags:
        - Objects
      summary: Supprimer l’objet
      operationId: obj_delete_obj_delete_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ObjDeleteReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjDeleteRes'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ObjDeleteReq:
      additionalProperties: false
      properties:
        digests:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            Liste des empreintes à supprimer. Si elle n’est pas fournie, toutes
            les empreintes de l’objet seront supprimées.
          title: Digests
        object_id:
          title: Object Id
          type: string
        project_id:
          title: Project Id
          type: string
      required:
        - project_id
        - object_id
      title: ObjDeleteReq
      type: object
    ObjDeleteRes:
      properties:
        num_deleted:
          title: Num Deleted
          type: integer
      required:
        - num_deleted
      title: ObjDeleteRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````